@charset "UTF-8";
/*==============================================================================
1.ページタイトル
2.カテゴリ/アーカイブのタイトル
3.カテゴリ一覧
4.新着記事
5.記事一覧
6.記事がない場合
7.色の設定
==============================================================================*/

.content{
    background-color: #eeeeee;
}

/*============================================================================================================================================================
==============================================================================================================================================================

	1.ページタイトル

==============================================================================================================================================================
============================================================================================================================================================*/
#title{
    &::before{
        background-image: url(../1_img/base/title-deco_sp_gray.svg);
    }
}
@media all and (min-width: 769px){
    #title{
        &::before{
            background-image: url(../1_img/base/title-deco_pc_gray.svg);
        }
    }
}

/*============================================================================================================================================================
==============================================================================================================================================================

	2.カテゴリ/アーカイブのタイトル

==============================================================================================================================================================
============================================================================================================================================================*/
.category_wrap + #sub-title{/* カテゴリのあとにタイトルがくる場合の調整 */
    margin-top: 50px;
}
#sub-title{
    margin-bottom: 30px;
    text-align: center;
    
    & span{
        padding: 0 30px;
        display: inline-block;
        position: relative;
        font-size: 2.2rem;
        font-weight: var(--weight-bold);

        &::before,&::after{
            content: "";
            width: 7px;
            height: 10px;
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            background: url(../1_img/base/deco-star_black.svg) no-repeat center / 100% auto;
        }
        &::before{
            left: 0;
        }
        &::after{
            right: 0;
        }
    }
}
.cate-list-wrap + #sub-title{
    margin-top: 30px;
}
/*==============================================================================

	カテゴリ/アーカイブページのタイトル PC

==============================================================================*/
@media all and (min-width: 769px){
    #sub-title{
        margin-bottom: 90px;
    
        & span{
            padding: 0 45px;
            font-size: 3.4rem;

            &::before,&::after{
                width: 11px;
                height: 16px;
            }
        }
    }
    .category_wrap + #sub-title{
        margin-top: 60px;
    }
}

/*============================================================================================================================================================
==============================================================================================================================================================

	3.カテゴリ一覧

==============================================================================================================================================================
============================================================================================================================================================*/
.category_wrap + #sub-title{/* カテゴリのあとにタイトルがくる場合の調整 */
    margin-top: 50px;
}
.category_wrap{
    padding-bottom: 20px;
    overflow: hidden;
    text-align: center;
    border-bottom: 1px solid var(--color-font);

    & span{
        display: inline-block;
        padding: 0 15px;
        position: relative;
        font-weight: var(--weight-bold);

        &::before,&::after{
            content: "";
            margin-top: -1px;
            width: 100vw;
            height: 1px;
            position: absolute;
            top: 50%;
            background-color: var(--color-font);
        }
        &::before{
            left: 100%;
        }
        &::after{
            right: 100%;
        }
    }

    & .category-list{
        margin-top: 15px;
        display: flex;
        flex-wrap: wrap;
        gap: 10px;

        & li{
            display: flex;

            & a{
                padding: 0 7px;
                min-width: 100px;
                display: flex;
                align-items: center;
                justify-content: center;
                background-color: var(--color-accent);
                color: var(--color-font);
                font-weight: var(--weight-bold);
                text-align: center;
            }

            &.current{
                & a{
                    color: #fff;
                    background-color: var(--color-sub);
                }
            }
        }
    }

    & + .category_wrap{
        margin-top: 40px;
    }

    /* ========== topics&newsのカテゴリデザインを変更する ========== */
    &.topicsnews{
        padding: 0 3px 20px;

        & .category-list{
            gap: 10px 16px;

            & li{
                & a{
                    position: relative;
                    color: #fff;
                    background-color: var(--color-font);
            
                    &::before,
                    &::after{
                        content: "";
                        width: 3px;
                        height: 100%;
                        position: absolute;
                        top: 0;
                        left: 0;
                        transform: unset;
                        background-color: var(--color-font);
                        clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0% 100%, 100% 87.5%, 0% 76%, 100% 62.5%, 0% 50%, 100% 37.5%, 0% 24%, 100% 12.5%);
                    }
                    &::before{
                        transform: translateX(calc(-100% + 1px));
                    }
                    &::after{
                        left: 100%;
                        transform: scale(-1,1);
                    }
                }
            }
        }
    }
}

/*==============================================================================

	カテゴリ一覧 PC

==============================================================================*/
@media all and (min-width: 769px){
}


/*============================================================================================================================================================
==============================================================================================================================================================

	4.記事一覧

==============================================================================================================================================================
============================================================================================================================================================*/
.post_wrap {
    margin-top: 60px;
    display: flex;
    flex-wrap: wrap;
    gap: 50px 10px;

    /*============== 1週間以内の投稿 ==============*/
    & article.latest {
        position: relative;

        & .img_wrap {
            /*======= 装飾 =======*/
            &::before{
                content: "";
                width: 60px;
                aspect-ratio: 1 / 1;
                position: absolute;
                top: -25px;
                left: -25px;
                z-index: 2;
                background: url(../1_img/blog/new.svg) no-repeat center / 100% auto;
            }
        }

        &:not(.new){
            & .img_wrap {
                /*======= 装飾 =======*/
                &::before{
                    width: 40px;
                    top: -17px;
                    left: -17px;
                }
            }
        }
    }

    /*============== 1つ目の記事 ==============*/
    & article.new {
        padding: 30px 20px 20px;
        width: 100%;
        display: flex;
        position: relative;
        flex-direction: column;
        align-items: center;
        background-color: #fff;
        
        /*======= カテゴリ =======*/
        & .cate{
            position: absolute;
            left: 0;
            top: 0;
            transform: translateY(-50%);
            text-align: center;
            width: 100%;
            z-index: 3;

            & a{
                display: inline-block;
                position: relative;
            
                & span{
                    min-width: 130px;
                    padding: 0px 10px;
                    display: -webkit-box;
                    color: var(--color-font);
                    text-align: center;
                    background-color: var(--color-accent);
                    font-weight: var(--weight-bold);
                    line-height: 2.5;
                    font-size: 1.4rem;
                    -webkit-box-orient: vertical;
                    -webkit-line-clamp: 1;
                    overflow: hidden;
                }

                &::after{
                    content: "";
                    width: 12px;
                    height: 6px;
                    position: absolute;
                    top: calc(100% - 1px);
                    left: 50%;
                    transform: translateX(-50%);
                    background-color: var(--color-accent);
                    clip-path: polygon(0 0, 50% 100%, 100% 0);
                }
            }
        }
        /*======= 画像 =======*/
        & .img_wrap {
            width: 100%;
            aspect-ratio: 16 / 9;
            display: block;
            position: relative;
            transition: 500ms;
            order: 1;

            & a{
                width: 100%;
                height: 100%;
                display: block;
                overflow: hidden;
                position: relative;

                & img {
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                    object-position: center;
                }
            }
        }
        /*======= テキスト領域 =======*/
        & .text_area {
            margin-top: 10px;
            width: 100%;
            order: 2;

            /*======= 日付 =======*/      
            & .date {
                font-family: var(--font-en);
                font-weight: var(--weight-semibold);
                font-size: 1.2rem;
            }
            /*======= サブタイトル =======*/
            & .sub-title{
                margin-top: 0px;
                font-weight: var(--weight-bold);
                font-size: 1.5rem;
                color: var(--color-sub);
            }
            /*======= タイトル =======*/
            & .article-title {
                margin-top: 2px;
                font-size: 1.6rem;
                line-height: 1.8;

                & a {
                    display: -webkit-box;
                    -webkit-box-orient: vertical;
                    -webkit-line-clamp: 3;
                    overflow: hidden;
                    font-weight: var(--weight-bold);
                    color: var(--color-font);
                }
            }
        }
        /*======= テキスト領域 end =======*/
    }
    
    /*============== 1つ目以外の記事 ==============*/
    & article:not(.new) {
        padding: 20px 10px 20px;
        width: calc((100% - 10px) / 2);
        display: flex;
        position: relative;
        flex-direction: column;
        align-items: center;
        background-color: #fff;

        
        /*======= カテゴリ =======*/
        & .cate{
            position: absolute;
            left: 0;
            top: 0;
            transform: translateY(-50%);
            text-align: center;
            width: 100%;
            z-index: 3;

            & a{
                display: inline-block;
                position: relative;
            
                & span{
                    min-width: 100px;
                    padding: 0px 10px;
                    display: -webkit-box;
                    color: var(--color-font);
                    text-align: center;
                    background-color: var(--color-accent);
                    font-weight: var(--weight-bold);
                    line-height: 2.5;
                    font-size: 1rem;
                    -webkit-box-orient: vertical;
                    -webkit-line-clamp: 1;
                    overflow: hidden;
                }

                &::after{
                    content: "";
                    width: 12px;
                    height: 6px;
                    position: absolute;
                    top: calc(100% - 1px);
                    left: 50%;
                    transform: translateX(-50%);
                    background-color: var(--color-accent);
                    clip-path: polygon(0 0, 50% 100%, 100% 0);
                }
            }
        }

        /*======= 画像 =======*/
        & .img_wrap {
            width: 100%;
            aspect-ratio: 16 / 9;
            display: block;
            position: relative;
            transition: 500ms;
            order: 1;

            & a{
                width: 100%;
                height: 100%;
                display: block;
                overflow: hidden;
                position: relative;

                & img {
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                    object-position: center;
                }
            }
        }
        /*======= テキスト領域 =======*/
        & .text_area {
            margin-top: 10px;
            width: 100%;
            order: 2;

            /*======= 日付 =======*/      
            & .date {
                font-family: var(--font-en);
                font-weight: var(--weight-semibold);
                font-size: 1.2rem;
            }
            /*======= サブタイトル =======*/
            & .sub-title{
                margin-top: 0px;
                font-weight: var(--weight-bold);
                font-size: 1.2rem;
                color: var(--color-sub);
            }
            /*======= タイトル =======*/
            & .article-title {
                margin-top: 2px;
                font-size: 1.4rem;
                line-height: 1.8;

                & a {
                    display: -webkit-box;
                    -webkit-box-orient: vertical;
                    -webkit-line-clamp: 3;
                    overflow: hidden;
                    font-weight: var(--weight-bold);
                    color: var(--color-font);
                }
            }
        }
        /*======= テキスト領域 end =======*/
    }

    /* ========== topics&newsのカテゴリデザインを変更する ========== */
    & article.p-cat-topicsnews .cate a{
        & span{
            color: #fff;
            background-color: var(--color-font);
        }
        
        &::before,
        &::after{
            content: "";
            width: 3px;
            height: 100%;
            position: absolute;
            top: 0;
            left: 0;
            transform: unset;
            background-color: var(--color-font);
            clip-path: unset;
            clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0% 100%, 100% 87.5%, 0% 76%, 100% 62.5%, 0% 50%, 100% 37.5%, 0% 24%, 100% 12.5%);
        }
        &::before{transform: translateX(calc(-100% + 1px));;}
        &::after{
            left: 100%;
            transform: scale(-1,1);
        }
    }
}
/*==============================================================================

	記事一覧 PC

==============================================================================*/
@media all and (min-width: 769px){

    #sub-title + .post_wrap{/* カテゴリページに入った時に調整する */
        margin-top: 0px;
    }

    .post_wrap {
        margin-top: 80px;
        display: flex;
        flex-wrap: wrap;
        gap: 50px 40px;

        /*============== 1週間以内の投稿 ==============*/
        & article.latest {
            & .img_wrap {
                /*======= 装飾 =======*/
                &::before{width: 75px;}
            }

            &:not(.new){
                & .img_wrap {
                    /*======= 装飾 =======*/
                    &::before{
                        width: 55px;
                        top: -17px;
                        left: -17px;
                    }
                }
            }
        }

        /*============== 新着記事の記事 ==============*/
        & article.new {
            margin-top: 0;
            margin-right: calc(100% - 485px);
            padding-top: 10px;
            width: 485px;
            
            &::after {
                content: "";
                width: 330px;
                aspect-ratio: 390 / 385;
                position: absolute;
                top: 50%;
                left: calc(100% + 110px);
                transform: translateY(-60%);
                background: url(../1_img/front/blog-new_deco.svg) no-repeat center / 100% auto;
            }

            /*======= カテゴリ =======*/
            & .cate{
                & a{
                    & span{
                        min-width: 200px;
                        font-size: 2rem;
                    }
                }
            }

            /*======= テキスト領域 =======*/
            & .text_area {

                /*======= タイトル =======*/
                & .article-title {
                    margin-top: 2px;
                    font-size: 2.3rem;
                }
            }
        }
        /*============== 新着記事の記事 end ==============*/


        /*============== newpost以外の記事 ==============*/
        & article:not(.new) {
            padding: 30px 10px;
            width: calc( (100% - 40px*2) / 3);

            /*======= カテゴリ =======*/
            & .cate{
                & a{
                    & span{
                        min-width: 130px;
                        font-size: 1.6rem;
                    }
                }
            }

            /*======= テキスト領域 =======*/
            & .text_area {

                /*======= タイトル =======*/
                & .article-title {
                    margin-top: 5px;
                    font-size: 1.6rem;
                    line-height: 1.8;
                }
            }
        }
        /*============== newpost以外の記事 end ==============*/
    }
}

/*============================================================================================================================================================
==============================================================================================================================================================

	6.記事がない場合

==============================================================================================================================================================
============================================================================================================================================================*/
.no-results.not-found{
    margin: 150px 0 100px;
    text-align: center;
}